/*
    Copyright (C) 2007, 2009 Darrin M. Gorski

    This file is part of LCSMessengerHistory.

    LCSMessengerHistory is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    LCSMessengerHistory is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Windows.Forms;


namespace LCSMessengerHistory
{
    public partial class AboutBox : Form
    {
        private HistoryHandler history;

        // constructor
        public AboutBox(HistoryHandler arg) {
            InitializeComponent();
            history = arg;
            appNameLabel.Text = Application.ProductName;
            appVerLabel.Text = "Version " + Application.ProductVersion;
        }

        // close button
        private void bOK_Click(object sender, EventArgs e) {
            this.Close();
        }

        private void historyFolderLink_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
            System.Diagnostics.Process.Start("explorer.exe", history.historyFolder);
        }

        private void authorEmailLink_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
            System.Diagnostics.Process.Start("mailto:darrin@gorski.net");
        }

        private void urlLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
            System.Diagnostics.Process.Start(urlLabel.Text);
        }

        private void licenseLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
            System.Diagnostics.Process.Start(Environment.CurrentDirectory + "\\LICENSE.txt");
        }

    }
}