/*
    Copyright (C) 2007 Darrin M. Gorski

    This file is part of LCSMessengerHistory.

    LCSMessengerHistory is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    LCSMessengerHistory is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.IO;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LCSMessengerHistory {

    public partial class MultipartyFolderPicker : Form {

        private HistoryHandler history;

        public MultipartyFolderPicker(HistoryHandler arg) {
            InitializeComponent();

            history = arg;

            folderBrowserDialog.SelectedPath = history.historyFolder;
            directoryComboBox.Text = folderBrowserDialog.SelectedPath;
        }

        public string getSelectedFolder() {
            return(directoryComboBox.Text);
        }

        private void browseButton_Click(object sender, EventArgs e) {
            // show a browser dialog, update the combo box if they click OK
            if (folderBrowserDialog.ShowDialog().Equals(DialogResult.OK)) {
                directoryComboBox.Text = folderBrowserDialog.SelectedPath;
            }
        }

        private void cancelButton_Click(object sender, EventArgs e) {
            DialogResult = DialogResult.Cancel;
        }

        private void okButton_Click(object sender, EventArgs e) {
            DialogResult = DialogResult.OK;
        }

    }

}