/*
    Copyright (C) 2007 Darrin M. Gorski

    This file is part of LCSMessengerHistory.

    LCSMessengerHistory is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    LCSMessengerHistory is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


using System;
using System.Windows.Forms;

namespace LCSMessengerHistory {

    public partial class SystemTray : UserControl {

        private HistoryHandler history;

        //constructor
        public SystemTray(HistoryHandler arg) {
            InitializeComponent();
            history = arg;
        }

        // tray icon menu "Show History Folder"
        private void showHistoryFolderToolStripMenuItem_Click(object sender, EventArgs e) {
            System.Diagnostics.Process.Start("explorer.exe", history.historyFolder);
        }

        // tray icon menu "About"
        private void aboutToolStripMenuItem_Click(object sender, EventArgs e) {
            new AboutBox(history).Show();
        }

        // tray icon menu "Exit"
        private void exitToolStripMenuItem_Click(object sender, EventArgs e) {
            systemTrayIcon.Visible = false;
            Application.Exit();
        }

    }
}
